<?php
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy do usuwania pliku wgranego na serwer
	
	Black Min cms,
	
	#plik: 1.0
*/
	
	// otwieranie sesii black mina
	session_start();	

	// sprawdzanie czy użytkownik jest zalogowany i ma odpowiednie permisje
	if (!isset($_SESSION['zalogowany']))
	{
		header('Location: ../logowanie.php');
		exit();
	}
	
	require_once "../../../connect.php";
	require_once "../laduj/class-get-ustawienia.php";
	// Tworzenie nowej klasy i wywołanie jej w celu pobrania ustawień Black Mina
	$get_ustawienia_bm = new get_ustawienia_bm(); 
	$get_ustawienia_bm->get_ustawienia();
	$ustawienia_bm = $get_ustawienia_bm->get_ustawienia();
	$url_serwera_bm = $ustawienia_bm["bm_wartosc"][0];
	
	// sprawdzenia czy coś przyszło do pliku 
	// usuwanie wybranych rekordów po id rekordu
	// tworzenie odpowiedniego skryptu który schowa rekord żeby użytkownik wiedział że usunięcie się powiodło
	
	if(isset($_POST['usun_plik']))
	{
		$id_plik = $_POST['usun_plik'];
		
		$ile_deelete = count($id_plik);
		
		$d_usun = $_POST['d_usun'];
		
		//echo $ile_deelete;
		
		//echo $id_post[0] ;
		
		
		//$id_post = htmlentities($id_post, ENT_QUOTES, "UTF-8");	
		
		mysqli_report(MYSQLI_REPORT_STRICT);
		
		try 
		{
			$polaczenie = new mysqli($host, $db_user, $db_password, $db_name);
			if ($polaczenie->connect_errno!=0)
			{
				throw new Exception(mysqli_connect_errno());
			}
			else
			{		
		
				mysqli_query($polaczenie, "SET CHARSET utf8");
				mysqli_query($polaczenie, "SET NAMES 'utf8' COLLATE 'utf8_unicode_ci'");
				
				$sciezka = "../../../";
				
				for($i=0; $i < $ile_deelete; $i++)	{
		
					// pobieranie z bazy sciezki do usunięcia pliku
					$rezultat2 = "SELECT `".$prefix_table."bm_sciezka` FROM `bm_filemeta` WHERE `id` = '$id_plik[$i]'";
					$wynik2 = $polaczenie->query($rezultat2);
					
					$ile2 = mysqli_num_rows($wynik2);
				
					$row2 = mysqli_fetch_assoc($wynik2);
					$plik_sciezka = $row2['bm_sciezka'];
					
					// zamienianie prokotołu http(s) na czytelną scieżkę dla systemu
					$plik_sciezka = str_replace($url_serwera_bm, "", $plik_sciezka);

		
					if ($polaczenie->query("DELETE FROM `".$prefix_table."bm_filemeta` WHERE `id` = '$id_plik[$i]'"))
					{
						if (unlink($sciezka . $plik_sciezka)) {				
				
							echo '
									<section class="tsr tsr-alert tsr-alert-success">
										Plik został usunięty poprawnie!
									</section>
							';	
								
							echo '
								<script type="text/javascript">
								var usun_plik = [];
								var hiden_post = $("[data-id-post='."'".$id_plik[$i]."'".']");
										
								$(hiden_post).delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500);
								
								var hiden_post2 = $(".id-records-'."".$id_plik[$i]."".'");
										
								$(hiden_post2).delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500);
								</script>
							';
						}else{
							echo '
								<section class="tsr tsr-alert tsr-alert-error">
									Kod błędu: [ERROR_DELETE_FILE] - Błąd podczas usuwania pliku!
								</section>
							';
						}

					}
					else
					{
						throw new Exception($polaczenie->error);
					}
				
				}

				
				$polaczenie->close();
			}
			
		}
		
          
		catch(Exception $e)
		{
			echo '<span style="color:red;">Błąd serwera! Przepraszamy za niedogodności i prosimy o powtórzenie działań w innym terminie!</span>';
			//echo '<br />Informacja developerska: '.$e;
		}		
		
	}		
	
?>